<?php require('casa/setup.casa.php');
include('inc_head.php');
?>
<style>
th{
    text-align:center;
    background:orange;
    padding:6px 3px;
}    
td{
    border:1px solid #cccccc;
    padding:2px 6px;
}
</style>
<body>

    <?php include('inc_menu.php');?>

    <div class="container-fluid about py-5">
        <div class="container">           
            <div class="tab-class text-center">
                
            <div class="tab-content">
                    <div id="tab-1" class="tab-pane fade show p-0 active">
                        <div class="row g-3">                                                                           
                        <?php
                         echo '<h2 align=left>Usuario: '.$USUARIO.'</h2><hr>';
                        $Comandas = new DB();
                        $Usuarios = new DB();
                        $Productos = new DB();

                        $sqlComandas = "SELECT * FROM ventas_ventas
                        WHERE venta_estado = 'confirmado'
                        GROUP BY ven_codigo ORDER BY ven_id DESC;";
                        $Comandas->dbSQL($sqlComandas);
                        $i=0;
                        $html='';
                        while($Comandas->next()){
                        $i++;
                        //ventas
                            $ven_codigo = $Comandas->dbField('ven_codigo');
                            $venta_mesa = $Comandas->dbField('venta_mesa');
                            $venta_usuario = $Comandas->dbField('venta_usuario'); 
                            $venta_fecha = $Comandas->dbField('venta_fecha'); 
                            $venta_tipo = $Comandas->dbField('venta_tipo'); 

                            $sqlUsuarios = "SELECT * FROM rol_usuarios
                            WHERE us_id = '$venta_usuario';";
                            $Usuarios->dbSQL($sqlUsuarios);
                            $Usuarios->next();
                                $us_nombres = $Usuarios->dbField('us_nombres');
                                $us_apellidos = $Usuarios->dbField('us_apellidos');
                                
                            $UsuarioActual = $us_nombres.' '.$us_apellidos;

                            $html.='<div class="col-lg-4">
                            <div class="d-flex h-300">                                            
                                <div class="d-flex flex-column justify-content-center text-start bg-secondary border-inner px-4">
                                    <h4>Comanda: '.$ven_codigo.'</h4>
                                    <h5><b>MESA: </b>'.$venta_mesa.'<br>
                                    <b>USUARIO: </b>'.$UsuarioActual.'<br>
                                    <b>TIPO: </b>'.$venta_tipo.'<br>
                                    <b>Hora: </b>'.substr($venta_fecha,11,10).'</h5>
                                    <table>
                                    <tr>
                                        <th>DETALLE</th>
                                        <th>PRE.U.</th>
                                        <th>PRECIO</th>                                        
                                    </tr>';

                            $sqlProductos = "SELECT * FROM ventas_ventas ven, ventas_productos prod
                            WHERE ven.ven_codigo = '$ven_codigo'
                            AND ven.prod_codigo = prod.prod_codigo;";
                            $Productos->dbSQL($sqlProductos);
                            $SumaPrecios = 0;
                            while($Productos->next()){
                                //productos
                                $prod_nombre = Caresp($Productos->dbField('prod_nombre'));
                                $prod_detalles = Caresp($Productos->dbField('prod_detalles'));
                                $prod_preciounitario = $Productos->dbField('prod_preciounitario');
                                //ventas
                                $venta_cantidad = $Productos->dbField('venta_cantidad');
                                $venta_precio = $Productos->dbField('venta_precio');
                                $venta_preciototal = $Productos->dbField('venta_preciototal');                                

                                $SumaPrecios = $SumaPrecios + $venta_preciototal;

                                $html.= '<tr><td><b>'.$venta_cantidad.'</b>.- '.$prod_nombre.'</td>';
                                $html.= '<td align=center>'.$prod_preciounitario.'</td>';
                                $html.= '<td align=right>'.$venta_preciototal.'</td></tr>';

                            }// $Productos
                            $html.='<tr>
                                <th colspan=2>TOTAL Bs.</th>
                                <th>'.$SumaPrecios.'</th>                                        
                            </tr>
                            </table>
                            <table width=100%>
                            <tr><td>
                            <input onclick=Ejecutar("'.$ven_codigo.'") value="EJECUTAR" type="button" class="btn btn-primary w-100">                             
                            </td><td>
                            <input onclick=Cancelar("'.$ven_codigo.'") value="CANCELAR" type="button" class="btn btn-primary w-100">                            
                            </td>                            
                            </tr>
                            
                            </table>
                            
                                   </div>
                                </div>
                            </div>';

                        }//wend $Comandas
                        echo $html;
                        ?><div id='ejecutar'></div>
                        </div>
                    </div>                                        
                </div>            

            </div>
        </div>
    </div>

<?php include('inc_footer.php');?>    
</body>
</html>
<script>
$(document).ready(function(){
    setInterval(ActualizarCMD,10000);
});
function ActualizarCMD(){
  self.location="<?php echo PATH_HOME.'cajeros/ver'; ?>";
}	    
function Ejecutar(cmd){
  $.post('<?php echo PATH_HOME.'ejecutar/'.sha1(uniqid()); ?>',{
    'cmd': cmd,    
    'coder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#ejecutar').html(data);
  });
}
function Cancelar(cmd){
  $.post('<?php echo PATH_HOME.'reservas-cancelar/'.sha1(uniqid()); ?>',{
    'cmd': cmd,    
    'coder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#ejecutar').html(data);
  });
}
</script>